Uploaded image for project: 'Syncope'
  1. Syncope
  2. SYNCOPE-659

Wrong fasterxml.jackson, common-lang3 version in the Import-Package in the syncope-common, syncope-client

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.2.3
    • Fix Version/s: 1.2.4, 2.0.0-M1
    • Component/s: client, common
    • Labels:
      None

      Description

      https://repo1.maven.org/maven2/org/apache/syncope/syncope-common/1.2.3/syncope-common-1.2.3.pom

      <Import-Package>
                    org.apache.commons.lang3;version="[3.1,3.2)",
                    com.fasterxml.jackson.annotation;version="[2.2.2,2.3)",
                    org.springframework*;version="[3,4)",
                    org.apache.logging.log4j*;resolution:=optional,
                    org.slf4j;resolution:=optional,
                    *
                  </Import-Package>
      

      but the real jackson version used is

      <jackson.version>2.4.5</jackson.version>
      

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              xldai Xilai Dai
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: